package com.ycwl.basic.model.mobile.index;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: songmingsong
 * @CreateTime: 2024-12-06
 * @Description: 顶部状态
 * @Version: 1.0
 */
@Data
@ApiModel("顶部状态")
public class TopStateResp {
    @ApiModelProperty("是否录入有效人脸")
    private Boolean isFace = false;
    @ApiModelProperty("AI合成了多少个视频，null时没有合成的视频")
    private Integer aiVideoNum;
}
