package com.ycwl.basic.model.pc.coupon.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.ycwl.basic.model.common.BaseQueryParameterReq;
import lombok.EqualsAndHashCode;

import java.util.Date;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("优惠券查询请求参数")
public class CouponQueryReq extends BaseQueryParameterReq {
    @ApiModelProperty("景区ID")
    private Long scenicId;
    private String name;

    @ApiModelProperty("优惠券类型：0普通/1首次推送/2二次/3三次")
    private Integer type;
    
    @ApiModelProperty("折扣类型：0降价/1打折")
    private Integer discountType;
    
    @ApiModelProperty("状态：0关闭/1开启")
    private Integer status;
    
    @ApiModelProperty("创建时间起始")
    private Date createAtStart;
    
    @ApiModelProperty("创建时间结束")
    private Date createAtEnd;
}