package com.ycwl.basic.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ycwl.basic.model.pc.price.entity.PriceConfigEntity;
import com.ycwl.basic.model.pc.price.req.PriceConfigListReq;
import com.ycwl.basic.model.pc.price.resp.PriceConfigRespVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PriceConfigMapper extends BaseMapper<PriceConfigEntity> {
    PriceConfigRespVO getById(@Param("id") Integer id);
    List<PriceConfigRespVO> listByCondition(@Param("req") PriceConfigListReq req);

    PriceConfigEntity getPriceByScenicTypeGoods(Long scenicId, Integer type, String goodsId);

    int updateStatus(Integer id);
}